<template>
  <el-dialog
    v-model="dialogModel"
    align-center
    custom-class="delete-message-preview-dialog"
  >
    <p class="text-[var(--text5)] text-xs leading-[14.06px]">
      {{
        $t(
          isDeleteAll
            ? "Are you sure to delete all message in this page"
            : "Are you sure to delete this"
        )
      }}
    </p>
    <template #footer>
      <div class="flex gap-2 w-full">
        <el-button
          class="message-action-button w-full"
          type="danger"
          :loading="isLoading"
          @click="$emit('click:delete', isDeleteAll)"
          >{{ isDeleteAll ? $t("Delete all") : $t("delete") }}</el-button
        >
        <el-button
          class="message-action-button w-full !ml-0 ol-bg-light-2"
          :disabled="isLoading"
          @click="dialogModel = false"
          >{{ $t("cancel") }}</el-button
        >
      </div>
    </template>
  </el-dialog>
</template>

<script setup lang="ts">
const emit = defineEmits<{
  (e: "update:modelValue", value: boolean): void;
  (e: "click:delete", isDeleteAll?: boolean): void;
}>();
const props = defineProps<{
  modelValue: boolean;
  isLoading: boolean;
  isDeleteAll: boolean;
}>();

const dialogModel = computed({
  get: () => props.modelValue,
  set: (value) => emit("update:modelValue", value),
});
</script>

<style lang="scss">
.delete-message-preview-dialog {
  --el-dialog-border-radius: 8px;
  --el-dialog-margin-top: auto;
  margin-bottom: auto;
  overflow: hidden;
  max-width: 344px;

  [layout="modern"] &.el-dialog {
    --el-dialog-bg-color: var(--background5);
  }

  .el-dialog__header {
    display: none;
  }

  .el-dialog__body {
    padding: 16px;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .el-dialog__body,
  .el-dialog__footer {
    background: linear-gradient(
        0deg,
        rgba(255, 255, 255, 0.05),
        rgba(255, 255, 255, 0.05)
      ),
      linear-gradient(0deg, var(--background5), var(--background5));
  }
  .el-dialog__footer {
    border-top: 1px solid var(--border);
    padding: 16px !important;
  }

  .message-preview-header {
    border-bottom: 1px solid var(--border);

    .message-preview-title {
      color: var(--text5);
      font-family: Roboto;
      font-size: 12px;
      font-weight: 700;
      line-height: 14px;
      letter-spacing: 0em;
      text-align: left;
      margin-bottom: 8px;
    }

    .message-preview-date {
      opacity: 0.6;
      color: var(--text5);
      font-family: Roboto;
      font-size: 12px;
      font-weight: 400;
      line-height: 14px;
      letter-spacing: 0em;
      text-align: left;
    }
  }
}

[data-device="mobile"] .delete-message-preview-dialog {
  --el-dialog-border-radius: 8px;
  --el-dialog-margin-top: auto;
  margin-bottom: auto;
  overflow: hidden;
  max-width: 96%;
  width: 96%;
}
</style>
